{*$basketPositions|print_r*}
{strip}
{literal}
<style>
	.offerWKTable td, .offerWKTable th {padding:2px;vertical-align: top;}
	.offerWKTable td:last-child, .offerWKTable th:last-child {text-align: right;}
	.offerWKTable .price {white-space: nowrap;}
	.offerWKTable hr {margin: 3px 0;}
</style>
{/literal}
<table class='text-left offerWKTable'>
	<thead>
		<tr>
			<th></th>
			<th>Artikel</th>
			<th>{lang key="pricePerUnit" section="checkout"} {lang key="net" section="global"}</th>
			<th>{lang key="total" section="global"} {lang key="net" section="global"}</th>
		</tr>
	</thead>
	<tbody>
{foreach name=positionen from=$basketPositions item=oPosition}
	{if !$oPosition->istKonfigKind()}
		{if $oPosition->nPosTyp == 1}
			<tr>
				<td>
					{if $oPosition->Artikel->Bilder[0]->cPfadMini}<img src='{$ShopURLSSL}/{$oPosition->Artikel->Bilder[0]->cPfadMini}' />{/if}
				</td>
				<td>
					{$oPosition->nAnzahl|replace_delim} {if !empty($oPosition->Artikel->cEinheit)}{$oPosition->Artikel->cEinheit}{/if} x {$oPosition->cName['ger']} ({$oPosition->Artikel->cArtNr})
				
				</td>
				<td class='price'>
					{if $oPosition->nPosTyp == 1}
						{if !$oPosition->istKonfigVater()}
							{$oPosition->cEinzelpreisLocalized[$cParams_arr.nNettoPreise][$cParams_arr.cWaehrungName]}
						{/if}
					{/if}  
				</td>
				<td class='price'>
					{if $oPosition->istKonfigVater()}
						&nbsp; {$oPosition->cKonfigpreisLocalized[$cParams_arr.nNettoPreise][$cParams_arr.cWaehrungName]}
					{else}
						&nbsp; {$oPosition->cGesamtpreisLocalized[$cParams_arr.nNettoPreise][$cParams_arr.cWaehrungName]}
					{/if}
				</td>
			</tr>
			{if isset($oPosition->Artikel->dMHD) && isset($oPosition->Artikel->dMHD_de) && $oPosition->Artikel->dMHD_de !== null}
			<tr>
				<td colspan='3'>{lang key="productMHD" section="global"}: {$oPosition->Artikel->dMHD_de}</td>
				<td></td>
			</tr>
			{/if}
			{if $Einstellungen.kaufabwicklung.warenkorb_varianten_varikombi_anzeigen === 'Y' && isset($oPosition->WarenkorbPosEigenschaftArr) && !empty($oPosition->WarenkorbPosEigenschaftArr)}
			<tr>
				<td colspan='3'>
					<ul>
						{foreach name=variationen from=$oPosition->WarenkorbPosEigenschaftArr item=Variation}
							<li>{$Variation->cEigenschaftName['ger']}: {$Variation->cEigenschaftWertName['ger']}</li>
						{/foreach}
					</ul>
				</td>
				<td></td>
			</tr>
			{/if}
		{/if}
		{if $oPosition->istKonfigVater()}
			{foreach from=$basketPositions item=KonfigPos name=konfigposition}
				{if $oPosition->cUnique == $KonfigPos->cUnique && $KonfigPos->kKonfigitem > 0
					&& !$KonfigPos->isIgnoreMultiplier()}
			<tr>
					<td>
						{if !$KonfigPos->istKonfigVater()}{$KonfigPos->nAnzahlEinzel}{else}1{/if} x {$KonfigPos->cName['ger']}
					</td>
					<td class='price'>
						{$KonfigPos->cEinzelpreisLocalized[$cParams_arr.nNettoPreise][$cParams_arr.cWaehrungName]} {lang key="pricePerUnit" section="checkout"}
					</td>
					<td></td>
			</tr>
				{/if}
			{/foreach}
			{lang key="one-off" section="checkout"}
			{foreach from=$basketPositions item=KonfigPos name=konfigposition}
				{if $oPosition->cUnique == $KonfigPos->cUnique && $KonfigPos->kKonfigitem > 0
					&& $KonfigPos->isIgnoreMultiplier()}
			<tr>
					<td>
						{if !$KonfigPos->istKonfigVater()}{$KonfigPos->nAnzahlEinzel}{else}1{/if} x {$KonfigPos->cName['ger']}
					</td>
					<td class='price'>
						{$KonfigPos->cEinzelpreisLocalized[1][$smarty.session.cWaehrungName]} {lang key="pricePerUnit" section="checkout"}
					</td>
					<td></td>
			</tr>
				{/if}
			{/foreach}
		{/if}
			<tr>
				<td colspan='4'><hr></td>
			</tr>
	{/if}
{/foreach}
	</tbody>
	<tfoot>
		<tr>
			<td colspan='3' class='text-right'>{lang key="totalSum" section="global"} ({lang key="net" section="global"}):</td>
			<td>{$cParams_arr.WarensummeLocalized[1]}</td>
		</tr>
	</tfoot>
</table>
{/strip}