{if not $_NETZdinge_angebotsanfragen}
	<p class="alert alert-danger box_error">Sie m&uuml;ssen zun&auml;chst die Datenbank-Tabelle f&uuml;r die Anfragen anlegen. Diese bleibt bei Deinstallation des Plugins erhalten. Wenn Sie dies nicht w&uuml;nschen, so l&ouml;schen Sie diese vor Deinstallation &uuml;ber den Reiter "Datenbank"!</p>
	<div class="well text-center tcenter">	
		<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=DBs&action=createTable&table=_NETZdinge_angebotsanfragen"><button class="btn btn-success">Tabelle erzeugen!</button></a>
	</div>
{else}
	{if $_NETZdinge_angebotsanfragen_nStatus_fail}
		<p class="alert alert-danger box_error">Seit dem letzten Update muss die Datenbank-Tabelle f&uuml;r die Anfragen aktualsiert werden. Bitte f&uuml;hren Sie dies nun durch:</p>
		<div class="well text-center tcenter">	
			<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=DBs&action=updateTable&table=_NETZdinge_angebotsanfragen&field=nStatus"><button class="btn btn-success">Tabelle aktualisieren!</button></a>
		</div>

	{else}
		{literal}
			<style>
				@media (min-width: 1240px) {
					.container {
						width: 95%;
					}
				}
				.mr-2 {margin-right: 0.5em!important;}
				.ml-15 {margin-left: 15px!important;}
			</style>
			{/literal}
			<h2>
				<span>Vorhandene Anfragen (nur letzte 100)</span>
				{if $AnfrageStatus == 2}
					<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=setStatus&status=1" class="btn btn-info" title="Nicht archivierte anzeigen" data-toggle="tooltip"><i class="fa fa-eye" aria-hidden="true"></i> <i class="fa fa-unlock" aria-hidden="true"></i></a>
				{else}
					<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=setStatus&status=2" class="btn btn-info" title="archivierte anzeigen" data-toggle="tooltip"><i class="fa fa-eye" aria-hidden="true"></i> <i class="fa fa-lock" aria-hidden="true"></i></a>
				{/if}
				<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=archiveAll&setStatus=2" class="btn btn-info pull-right" title="Alle bearbeiteten Anfragen archivieren" data-toggle="tooltip" onclick="return confirm('Wirklich ALLE bearbeiteten Anfragen archivieren?')"><i class="fa fa-lock" aria-hidden="true"></i> Alle bearbeiteten Anfragen archivieren</a>
			</h2>
			<table class="table table-sm table-light">
				<thead class="thead-dark">
					<tr>
						<th scope="col" class="text-left">Nr</th>
						<th scope="col" class="text-left">Zeit der Anfrage</th>
						<th scope="col">Name</th>
						<th scope="col" colspan="3">Artikel</th>
						<th scope="col">Zeit bearbeitet</th>
			{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}		
						<th scope="col">Preisvorschlag</th>
			{/if}
			{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}	
						<th scope="col">Lieferzeit <i class="fa fa-question-circle tt" title="(X - Y Tage/Wochen)" data-toggle="tooltip" data-html="true" data-placement="top"></i></th>
			{/if}
						<th scope="col">Kuponwert <i class="fa fa-question-circle tt" title="Bezogen auf die Gesamtmenge des Artikels" data-toggle="tooltip" data-html="true" data-placement="top"></i></th>
						<th scope="col" colspan="2">Kupontyp</th>
						<th scope="col">Kuponcode</th>
						<th scope="col" colspan="2">Aktion</th>
					</tr>
				</thead>
				<tbody>
			{foreach name=anfragen item=anfrage from=$oAnfragen}
					{*$anfrage->tParams|@base64_decode|unserialize|print_r*}
					{if $anfrage->cType == 'product'}
						{assign var=cParams_arr value=$anfrage->tParams|@base64_decode|@unserialize}
					{else}
						{assign var=cParams_arr value=$anfrage->tParams|@base64_decode|@unserialize}
					{/if}
					
					<tr>
						<td>
							<form id="formAnfrage{$smarty.foreach.anfragen.iteration}" action="plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote" method="post">
								<input name="kAnfrage" type="hidden" value="{$anfrage->kAnfrage}">
								<input name="action" type="hidden" value="sendOffer">
								<input name="cName" type="hidden" value="{$anfrage->cName}">
								<input name="cMail" type="hidden" value="{$anfrage->cMail}">
								<input name="cAnrede" type="hidden" value="{$anfrage->cAnrede}">
								<input type="hidden" name="fPreisvorschlag" value="{$anfrage->fPreisvorschlag}">
								{if $anfrage->cType == 'product'}
									<input name="kSteuerklasse" type="hidden" value="{$cParams_arr.kSteuerklasse}">
									<input name="fMindestbestellwert" type="hidden" value="{$cParams_arr.fPreis}">
									<input name="cArtNr" type="hidden" value="{$cParams_arr.cArtNr}">
									<input name="cArtikelName" type="hidden" value="{$cParams_arr.cName}">
									<input name="cArtikelAlterPreis" type="hidden" value="{$cParams_arr.fPreis}">
									<input name="nMenge" type="hidden" value="{$cParams_arr.anzahl}">
									<input name="kKundengruppe" type="hidden" value="{$cParams_arr.kKundengruppe}">
									<input name="cType" type="hidden" value="{$anfrage->cType}">
								{elseif $anfrage->cType == 'basket'}
									<input name="fMindestbestellwert" type="hidden" value="{$cParams_arr.WarensummeBrutto}">
									<input name="cType" type="hidden" value="{$anfrage->cType}">
									<input name="bPreisvorschlagAkzeptiert" type="hidden" value="-1">
								{/if}
								A{$anfrage->kAnfrage}
							</form>
						</td>
						<td>{$anfrage->nTimestamp|date_format: "%Y-%m-%d %H:%M:%S"}</td>
						<td class="text-nowrap">{if $anfrage->cAnrede == 'f'}Frau{else}Herr{/if} {$anfrage->cName} <a href="mailto:{$anfrage->cMail|htmlentities}?subject=Ihre%20Anfrage%20A{$anfrage->kAnfrage}%20|%20{$Einstellungen.global.global_shopname|escape:'url'}&body=Hallo%20{$anfrage->cName|unescape:'htmlall'|to_charset:'UTF-8'|escape:'url'},%0A%0D%0A%0D%0A%0D%0A%0DIhr%20{$Einstellungen.global.global_shopname|escape:'url'}%20-Team%0A%0D%0A%0D------------%0A%0DIhre%20Anfrage%20A{$anfrage->kAnfrage}%20von%20{$anfrage->nTimestamp|date_format: "%Y-%m-%d %H:%M:%S"|escape:'url'}:%0A%0D%0A%0D{$anfrage->tMailText|unescape:'htmlall'|to_charset:'UTF-8'|escape:'url'}"><i class="fa fa-envelope tt" title="{$anfrage->cMail|to_charset:'ISO-8859-1'}" data-toggle="tooltip" data-html="true" data-placement="top"></i></a> <i class="fa fa-file-text tt" title="{$anfrage->tMailText|nl2br}" data-toggle="tooltip" data-html="true" data-placement="top"></i></td>


						{if $anfrage->cType == 'product'}
							<td>
								<input type="number" name="nMengeNeu" step="0.01" form="formAnfrage{$smarty.foreach.anfragen.iteration}" value="{$cParams_arr.anzahl}" class="form-control" style="width:80px;">
							</td>
							<td>
								<i class="fa fa-info-circle tt" title="Pr&uuml;fen Sie die Anzahl im Kundentext! Der Kunde kann diese im Text ver&auml;ndert haben" data-toggle="tooltip"  data-placement="top"></i>
							</td>
							<td>
								{*$cParams_arr|@print_r*}
								 x <a href="{$shopURL}/{$cParams_arr.cURL}" target="_blank">{$cParams_arr.cName}</a> <i class="fa fa-info-circle tt" title="<div class='ArtikelPopup'><img src='{$shopURL}/{$cParams_arr.cBildURL}'><div class='price'>{$cParams_arr.cPreis}</div><div class='artikelnummer'>Art.-Nr.: {$cParams_arr.cArtNr}</div></div>" data-toggle="tooltip" data-html="true" data-placement="bottom"></i>

								{if $cParams_arr.eigenschaftwert|count > 0}
									<i class="fa fa-cog tt" title="{strip}
									{foreach name=foreach_eigenschaft item=eigenschaft from=$cParams_arr.eigenschaftwert key=key}
										{classNdAngeboteFunctions::gibEigenschaftName($key)}: {classNdAngeboteFunctions::gibEigenschaftWertName($eigenschaft)}<br>
									{/foreach}

									{/strip}" data-toggle="tooltip" data-html="true" data-placement="bottom"></i>
								{/if}
							</td>
						{else}
							<td>
								{assign var=Warenkorb value=$cParams_arr.Warenkorb}
								{*$Warenkorb->PositionenArr|@var_dump*}
								<span title="{include file=$oPlugin_netzdingeDE_angebot_anfordern->cAdminmenuPfad|cat:"template/inc/basekt_items.tpl" basketPositions=$Warenkorb->PositionenArr cParams_arr=$cParams_arr}" data-toggle="tooltip" data-html="true" data-placement="top">
									<i class="fa fa-shopping-cart tt"></i>{*$cParams_arr|@print_r*}
									{$cParams_arr.WarensummeLocalized[1]} <i class="fa fa-info-circle tt"></i>
								</span>
							</td>
							<td></td>
							<td></td>
						{/if}
						<td>{if $anfrage->nTimestampDone > 0}{$anfrage->nTimestampDone|date_format: "%Y-%m-%d %H:%M:%S"}{/if}</td>
						{if $anfrage->nTimestampDone > 0}
				{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}		
							<td class="text-nowrap">
								{if $anfrage->fPreisvorschlag > 0}
									{$anfrage->fPreisvorschlag} 
									{if $anfrage->cPreisvorschlagReferenz != ''}
										{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}<a href="{$anfrage->cPreisvorschlagReferenz}" target="_blank">{/if}<i class="fa fa-desktop tt" title="{$anfrage->cPreisvorschlagReferenz}" data-toggle="tooltip" data-html="true" data-placement="top"></i>{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}</a>{/if}
									{/if}
									{if $anfrage->bPreisvorschlagAkzeptiert == 1}
										<i class="fa fa-check tt" title="Preisvorschlag akzeptiert" data-toggle="tooltip" data-html="true" data-placement="top"></i>
									{elseif $anfrage->bPreisvorschlagAkzeptiert == 0}
										<i class="fa fa-times tt" title="Preisvorschlag nicht akzeptiert" data-toggle="tooltip" data-html="true" data-placement="top"></i>
									{/if}
								{/if}
							</td>
				{/if}
				{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}		
							<td class="text-nowrap">{$anfrage->cLieferzeit}</td>
				{/if}
							<td class="text-nowrap">{$anfrage->fOffer}</td>
							<td class="text-nowrap" colspan="2">{if $anfrage->cOfferType == 'prozent'}%{else}&euro;{/if}</td>
							<td class="text-nowrap">{$anfrage->cKuponCode}  <i class="fa fa-info-circle tt" title="G&uuml;ltig bis {$anfrage->dKuponGueltigBis}" data-toggle="tooltip" data-html="true" data-placement="top"></i></td>
				{if $AnfrageStatus == 2}
							<td>
								<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=archiveOffer&setStatus=1&kAnfrage={$anfrage->kAnfrage}&cName={$anfrage->cName|escape:'url'}" class="btn btn-info" onclick="return confirm('Wirklich UNarchivieren?')" title="Anfrage UNarchivieren" data-toggle="tooltip"><i class="fa fa-unlock" aria-hidden="true"></i></a>
							</td>
				{else}
							<td>
								<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=archiveOffer&setStatus=2&kAnfrage={$anfrage->kAnfrage}&cName={$anfrage->cName|escape:'url'}" class="btn btn-info" onclick="return confirm('Wirklich archivieren?')" title="Anfrage archivieren" data-toggle="tooltip"><i class="fa fa-lock" aria-hidden="true"></i></a>
							</td>
				{/if}
							<td>
								<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=deleteOffer&kAnfrage={$anfrage->kAnfrage}&cName={$anfrage->cName|escape:'url'}" class="btn btn-danger" onclick="return confirm('Wirklich loeschen?')" title="Anfrage loeschen" data-toggle="tooltip"><i class="fa fa-trash" aria-hidden="true"></i></a>
							</td>
						{else}
				{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bPreisvorschlag == 'Y'}		
							<td class="text-nowrap">
								{if $anfrage->fPreisvorschlag > 0}
									{$anfrage->fPreisvorschlag}
									{if $anfrage->cPreisvorschlagReferenz != ''}
										{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}<a href="{$anfrage->cPreisvorschlagReferenz}" target="_blank">{/if}<i class="fa fa-desktop tt" title="{$anfrage->cPreisvorschlagReferenz}" data-toggle="tooltip" data-html="true" data-placement="top"></i>{if $anfrage->cPreisvorschlagReferenz|strpos:'http' === 0}</a>{/if} 
									{/if} 
									<input type="checkbox" name="bPreisvorschlagAkzeptiert" form="formAnfrage{$smarty.foreach.anfragen.iteration}" value="1" class="mr-2 ml-15"><span>akzeptieren</span>
								{/if}
							</td>
				{/if}
				{if $oPlugin_netzdingeDE_angebot_anfordern->oPluginEinstellungAssoc_arr.bAdminLieferzeit == 'Y'}	
							<td class="text-nowrap"><input name="cLieferzeit" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="text" value="" class="form-control"></td>
				{/if}
							<td class="text-nowrap"><input name="OfferValue" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="text" value="" class="form-control"></td>
							<td class="text-nowrap"><input name="OfferType" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="radio" value="prozent" class="" checked="checked"> %</td>
							<td class="text-nowrap"><input name="OfferType" form="formAnfrage{$smarty.foreach.anfragen.iteration}" type="radio" value="festpreis" class=""> &euro;</td>
							<td class="text-nowrap"></td>
							<td>
								<button type="submit" form="formAnfrage{$smarty.foreach.anfragen.iteration}" class="btn btn-success" title="Kupon generieren und Angebot senden" data-toggle="tooltip"><i class="fa fa-envelope" aria-hidden="true"></i></button> 
							</td>
							<td>
								<a href="{$shopURL}/admin/plugin.php?kPlugin={$oPlugin_netzdingeDE_angebot_anfordern->kPlugin}&cPluginTab=Angebote&action=deleteOffer&kAnfrage={$anfrage->kAnfrage}&cName={$anfrage->cName|escape:'url'}" class="btn btn-danger" onclick="return confirm('Wirklich loeschen?')" title="Anfrage loeschen" data-toggle="tooltip"><i class="fa fa-trash" aria-hidden="true"></i></a>
							</td>
						{/if}
					</tr>
			{/foreach}
				</tbody>
			</table>
			{literal}
			<script>
				$('input[name="bPreisvorschlagAkzeptiert"]').on('change', function() {
					var tr = $(this).closest('tr');
					if (this.checked) {
						tr.find('input[name="OfferValue"]').prop('disabled', true);
					} else {
						tr.find('input[name="OfferValue"]').prop('disabled', false);
					}
				});
				$(document).ready(function() {	
					$('i.tt:not(.open)').on('touchstart', function() {
						if ($(this).hasClass('open')) {
							$(this).removeClass('open').tooltip('hide');
						} else {
							$(this).addClass('open').tooltip('show');
						}
					});	
				});
			</script>
		{/literal}
	{/if}
{/if}
{*debug*}